package jrex;

import java.util.List;

/**
 * Used for holding state to be (de)serialised into JSON when saving/loading the expressions.
 *
 * @author mark
 */
public class Expressions {

	private String capture;
	private String format;
	private String blanks;
	private Boolean blanksEnabled;
	private String prefix;
	private List<List<String>> replacements;

	public String getCapture() {
		return capture;
	}

	public void setCapture(String capture) {
		this.capture = capture;
	}

	public String getFormat() {
		return format;
	}

	public void setFormat(String format) {
		this.format = format;
	}

	public String getBlanks() {
		return blanks;
	}

	public void setBlanks(String blanks) {
		this.blanks = blanks;
	}

	public Boolean getBlanksEnabled() {
		return blanksEnabled;
	}

	public void setBlanksEnabled(Boolean blanksEnabled) {
		this.blanksEnabled = blanksEnabled;
	}

	public String getPrefix() {
		return prefix;
	}

	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}

	public List<List<String>> getReplacements() {
		return replacements;
	}

	public void setReplacements(List<List<String>> replacements) {
		this.replacements = replacements;
	}

	@Override
	public String toString() {
		return "Expressions{" + "capture=" + capture + ", format=" + format + ", blanks=" + blanks + ", blanksEnabled=" + blanksEnabled + ", prefix=" + prefix + ", replacements=" + replacements + '}';
	}

}
